Package org.eclipse.handly.ui.text.reconciler

# Class CompositeReconcilingStrategy

java.lang.Object
org.eclipse.handly.ui.text.reconciler.CompositeReconcilingStrategy

All Implemented Interfaces:
  `org.eclipse.jface.text.reconciler.IReconcilingStrategy`, `org.eclipse.jface.text.reconciler.IReconcilingStrategyExtension`

public class CompositeReconcilingStrategy extends Object implements org.eclipse.jface.text.reconciler.IReconcilingStrategy, org.eclipse.jface.text.reconciler.IReconcilingStrategyExtension
Composes multiple reconciling strategies into one.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CompositeReconcilingStrategy(org.eclipse.jface.text.reconciler.IReconcilingStrategy... strategies)`
  Creates a composition of the given reconciling strategies.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `initialReconcile()`
  `void`
  `reconcile(org.eclipse.jface.text.IRegion partition)`
  `void`
  `reconcile(org.eclipse.jface.text.reconciler.DirtyRegion dirtyRegion, org.eclipse.jface.text.IRegion subRegion)`
  `void`
  `setDocument(org.eclipse.jface.text.IDocument document)`
  `void`
  `setProgressMonitor(org.eclipse.core.runtime.IProgressMonitor monitor)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CompositeReconcilingStrategy

    public CompositeReconcilingStrategy(org.eclipse.jface.text.reconciler.IReconcilingStrategy... strategies)
    Creates a composition of the given reconciling strategies. The strategies will be applied in the given order.
    Parameters:
      `strategies` - the reconciling strategies to compose

- ## Method Details

  - ### setDocument

    public void setDocument(org.eclipse.jface.text.IDocument document)
    Specified by:
      `setDocument` in interface `org.eclipse.jface.text.reconciler.IReconcilingStrategy`

  - ### reconcile

    public void reconcile(org.eclipse.jface.text.reconciler.DirtyRegion dirtyRegion, org.eclipse.jface.text.IRegion subRegion)
    Specified by:
      `reconcile` in interface `org.eclipse.jface.text.reconciler.IReconcilingStrategy`

  - ### reconcile

    public void reconcile(org.eclipse.jface.text.IRegion partition)
    Specified by:
      `reconcile` in interface `org.eclipse.jface.text.reconciler.IReconcilingStrategy`

  - ### setProgressMonitor

    public void setProgressMonitor(org.eclipse.core.runtime.IProgressMonitor monitor)
    Specified by:
      `setProgressMonitor` in interface `org.eclipse.jface.text.reconciler.IReconcilingStrategyExtension`

  - ### initialReconcile

    public void initialReconcile()
    Specified by:
      `initialReconcile` in interface `org.eclipse.jface.text.reconciler.IReconcilingStrategyExtension`